import { Component, OnInit } from '@angular/core';
import { NgModule } from '@angular/core';
import { CookieService } from 'angular2-cookie/services/cookies.service';
import { UserService } from '../../core/UserService';
import { StorageService } from '../../core/StorageService';
import { Response, Http } from "@angular/http";
import { CanActivate,Router } from '@angular/router'
import { Observable } from "rxjs";
import { AppConfig } from "../../config/AppConfig";
import * as $ from "jquery";
import { AppComponent } from "../../app.component"
import { PermissionGuard } from '../../services/PermissionGuard';
import { Config } from '../../core/config.service';
const swal = require('sweetalert');
// import { AuthorityService } from '../service/common/authority.service';
@Component({
  selector: 'app-main',
  templateUrl: './main.component.html',
  //styleUrls: ['./main.component.scss']
})
export class MainComponent implements OnInit {
  constructor(private user: UserService, private _cookieService: CookieService,
    private router: Router, private storage: StorageService, private config:Config, private http: Http,private appComponent:AppComponent,private canActivate:PermissionGuard) { }
  public contextPath: any;
  public AuValue: any;
  public unLength: any;
  public showTentAntId: any;
  public showCompanyId: any;
  public showSysId: any;
  public initState1: any;
  public num: number;
  public flag: boolean = false;
  public quitHref: any;
  ngOnInit() {
    // this.toTdCenter();
    // if (!this._cookieService.get('userId')) {
    //     window.location.href = AppConfig.LOGOUT_URL;
    // }
    $('#mainbox_top').hide();
    this.aaa();

    // $('#mainbox_top').hide();
    // this.xhrPost("POST",AppConfig.SERVER_URL + '/getUserInfo',this.qwe);
    //this.getTenantOrCompany();
  }

  aaa() {

    this.http.post(this.config.SERVER_URL + '/getUserInfo', {}).subscribe(
      (response: Response) => {
        let res = response.json();
        if (res.rspCode == "000000") {

          sessionStorage.setItem("userInfo", JSON.stringify(res.data));
          this.getTenantOrCompany();
          // this.toTdCenter();
        }
      }
    );
  }
  // xhrPost(api, data, fun) {
  //   let xhr = new XMLHttpRequest();
  //   xhr.open("POST", api, false);
  //   xhr.onload = () => {
  //     
  //     fun(JSON.parse(xhr.response))
  //   }
  //   xhr.setRequestHeader('Content-Type', 'application/json');
  //   xhr.send(JSON.stringify(data));
  // }
  // qwe(res){
  //   if (res.rspCode == "000000") {
  //     
  //     sessionStorage.setItem("userInfo", JSON.stringify(res.data));
  //     this.getTenantOrCompany();
  //   }
  // }

  toTdCenter() {
    this.num = 100;
    this.router.navigateByUrl("industryCategory");
  }

  returnLogin() {
    this.flag = false;
    this._cookieService.removeAll();
    localStorage.clear();
    window.location.href = this.config.LOGOUT_URL;
  }

  quitLogin() {
    this.quitHref = document.getElementById("quitLogin")
    swal({
      title: '当前用户没有设置相应公司租户,请联系管理员!',
      text: +'?',
      showCancelButton: false,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: "重新登录",
      //cancelButtonText: "取消",
      closeOnConfirm: true,
      imageUrl: "../../assets/img/warning.png",
      imageSize: "50x 50x"
    }, (isConfirm) => {
      if (isConfirm) {
        // this.toTdLogin();
        this._cookieService.removeAll();
        localStorage.clear();
        window.location.href = this.config.LOGOUT_URL;

        // this.quitHref.setAttribute("href",");
      }
    });
  }

  quitLogin1() {
    this.quitHref = document.getElementById("quitLogin")
    swal({
      title: '登录失效,请重新登录',
      text: +'?',
      showCancelButton: false,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: "确定",
      //cancelButtonText: "取消",
      closeOnConfirm: true,
      imageUrl: "../../assets/img/warning.png",
      imageSize: "50x 50x"
    }, (isConfirm) => {
      if (isConfirm) {
        // this.toTdLogin();
        this._cookieService.removeAll();
        localStorage.clear();
        window.location.href = this.config.LOGOUT_URL;

        // this.quitHref.setAttribute("href",");
      }
    });
  }

  // public receiveDoEventList(arlFieldType) {
  //       let observableDatasource = this.httpService.post(AppConfig.GETDOEVENTLIST, {arlFieldType: arlFieldType});
  //       observableDatasource.subscribe(
  //           (response) => {
  //           this.dispatcher.dispatch(FormulaCenterActionType.GET_EVENT_LIST, {data: response.data});
  //       });
  //   }


  //登陆超时验证--
  // getUserInfo(): Observable<Response> {
  //   return this.http.post(AppConfig.SERVER_URL + '/getUserInfo',{});
  // }
  //获取档期那租户公司id
  getTenantOrCompany() {
    if (this._cookieService.get("tenantId") && this._cookieService.get("companyId")) {
      this.toTdCenter();
    } else {
      this.http.post(this.config.SERVER_URL + '/org/gettenantInfo', { "test": "true" }).subscribe(
        (response: Response) => {
          let res = response.json();
          if (res.rspCode == "000000") {
            if (res.data.tenantId != null && res.data.tenantId != undefined) {
              // this.appComponent.initChange(res.data.tenantId);
              // this._cookieService.put("companyId", res.data.companyId);
              // this._cookieService.put("serviceId", res.data.serviceId);
              // this._cookieService.put("tenantId", res.data.tenantId);
              this._cookieService.put("userId", res.data.uid);
              this.user.setTenantID(res.data.tenantId);
              this.storage.store('tenantID', { 'tenantID': res.data.tenantId });
              $('.mainbox').hide();
              $('.second').hide();
              $('.third').hide();
              $('footer').hide();
              $('.simple-notification-wrapper').hide();
              $("body").removeClass("body_box");
              this.toTdCenter();
            } else {
              this.quitLogin();
            }
          }
        }
      );
    }
  }
}
